from . RxLocalComputeContext import RxLocalComputeContext
from typing import Callable

class RxLocalSeq(RxLocalComputeContext):
    """
    .. rxtitle::

        Generate Local Compute Context

    .. rxdescription::

        Creates a local compute context object. Computations using rx_exec will be processed sequentially. This is the default compute context.
    
    :return: Object of class :py:class:`RxLocalSeq <microsoftml.RxLocalSeq>`.
    
    .. rxkeywords:: context, local

    .. rxseealso::

        :py:func:`RxComputeContext <revoscalepy.RxComputeContext>`,
        :py:func:`RxInSqlServer <revoscalepy.RxInSqlServer>`,
        :py:func:`rx_get_compute_context <revoscalepy.rx_get_compute_context>`,
        :py:func:`rx_set_compute_context <revoscalepy.rx_set_compute_context>`.

    .. rxexample:: 
        from revoscalepy import RxLocalSeq
        localcc = RxLocalSeq()
    """

    def __init__(self):
        super().__init__("LocalSeq", "1.0-1")
